package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 获取数据库表中列数据信息-接口出参
 * @author： zhanghang
 * @time: 2022/3/1 10:30
 */
@ApiModel(value = "下拉框获取数据库表中列数据信息-接口出参")
@Getter
@Setter
public class GetColumnDTO implements Serializable {


    private static final long serialVersionUID = 2674023248290037231L;
    @ApiModelProperty(value = "表的列信息ID")
    private Long id;

    @ApiModelProperty(value = "表名称（中文）")
    private String tableCname;

    @ApiModelProperty(value = "表名称（英文）")
    private String tableEname;

    @ApiModelProperty(value = "字段名称（中文）")
    private String columnCname;

    @ApiModelProperty(value = "字段名称（英文）")
    private String columnEname;

}
