package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 通过id删除诊断-接口入参
 * @author: songxl
 * @time: 2021/2/28 11:15
 */
@ApiModel(value = "通过id删除诊断-接口入参")
@Getter
@Setter
public class DelDiseaseByIdVO implements Serializable {

    private static final long serialVersionUID = 5262000808815034181L;

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;

}